Skip to main content
GET
/
odds
/
multi
Get Odds for Multiple Events
curl --request GET \
  --url https://api.odds-api.io/v3/odds/multi
[
  {
    "away": "<string>",
    "bookmakerIds": {},
    "bookmakers": {},
    "date": "<string>",
    "home": "<string>",
    "id": 123,
    "league": {
      "name": "Premier League",
      "slug": "premier-league"
    },
    "scores": {
      "away": 123,
      "home": 123,
      "periods": {}
    },
    "sport": {
      "name": "Football",
      "slug": "football"
    },
    "status": "<string>",
    "urls": {}
  }
]

Query Parameters

apiKey
string
required

API key for authentication

eventIds
string
required

Comma-separated list of up to 10 Event IDs

bookmakers
string
required

Comma-separated list of bookmaker names (max 30)

Response

OK

away
string
bookmakerIds
object
bookmakers
object
date
string
home
string
id
integer
league
object
scores
object
sport
object
status
string
urls
object